Skip to main content
POST
/
campaigns
/
{campaignId}
/
auto-select-products
Auto-select products
curl --request POST \
  --url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/auto-select-products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "campaignId": "<string>",
  "discoveryId": "<string>",
  "selectedProducts": [
    {
      "productId": "<string>",
      "name": "<string>",
      "salesAgentId": "<string>",
      "groupId": "<string>",
      "groupName": "<string>",
      "budget": 123,
      "cpm": 123,
      "pricingOptionId": "<string>"
    }
  ],
  "budgetContext": {
    "campaignBudget": 123,
    "totalAllocated": 123,
    "remainingBudget": 123,
    "currency": "<string>"
  },
  "productCount": 4503599627370495,
  "previouslySelectedCount": 4503599627370495
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentic.scope3.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

id
string
required

Unique identifier for the campaign

Minimum string length: 1
Example:

"cmp_987654321"

Body

application/json

Optional refinement parameters for iterative auto-select product selection. Based on ADCP refine spec.

refine
object[]

Array of refinement directives from a previous auto-select response. Supports request-scoped direction and product-scoped include/omit/more_like_this actions.

Minimum array length: 1

Request-scoped refinement: direction for the overall selection

maxProducts
integer

Maximum number of products to select

Required range: x <= 9007199254740991
Example:

5

minBudgetPerProduct
number

Minimum budget to allocate per product

Required range: x > 0
Example:

500

Response

Auto-select products

Response from auto-selecting products for a performance campaign

campaignId
string
required

Campaign ID

discoveryId
string
required

Discovery session ID containing the selected products

selectedProducts
object[]
required

Products selected and added to the discovery session

budgetContext
object
required

Budget allocation summary

productCount
integer
required

Total number of products selected

Required range: 0 <= x <= 9007199254740991
previouslySelectedCount
integer

Number of previously selected products that were replaced by auto-select

Required range: 0 <= x <= 9007199254740991